Skip to main content
GET
/
service
/
cplc
/
case
/
id
/
{caseId}
Get CPLC full definitions for case
curl --request GET \
  --url https://api-stage.karmacheck.io/service/cplc/case/id/{caseId} \
  --header 'Authorization: Bearer <token>'
{
  "cplcDefinitionsList": [
    {
      "id": "<string>",
      "name": "<string>",
      "enabled": true,
      "crStamp": "2021-08-06T02:08:35.000Z",
      "modStamp": "2021-08-06T02:08:35.000Z",
      "fields": [
        {
          "id": "<string>",
          "fieldId": "<string>",
          "cplcId": "<string>",
          "label": "<string>",
          "required": true,
          "displayLabel": "<string>",
          "crStamp": "2021-08-06T02:08:35.000Z",
          "modStamp": "2024-05-21T14:14:02.000Z",
          "ordinal": 123,
          "placeholder": "<string>"
        }
      ]
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

caseId
string<uuid>
required

The ID of the case for which to retrieve CPLC definitions.

Response

OK

cplcDefinitionsList
CPLCDefinition · object[]
required